Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Shapes
Imports System.Windows.Media.Animation
Imports Syncfusion.Windows.Tools.Controls
Imports Syncfusion.Windows.Tools
Imports Syncfusion.Windows.Shared

Namespace VectorImage

	''' <summary>
	''' Interaction logic for Window1.xaml
	''' </summary>
	Partial Public Class Window1
		Inherits ChromelessWindow
		#Region "PrivateMembers"

		''' <summary>
		''' Private Members
		''' </summary>

		Private previndex, nextindex, index As Integer
		Private rectheight, rectwidth As Double
		Private gallerygroup As GalleryGroup

		Private finance_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Finance.xaml"
		Private banking_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Banking.xaml"
		Private medical_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Medical.xaml"
		Private outlook_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Outlook2007Icons.xaml"
		Private computer_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Computer.xaml"
		Private education_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Education.xaml"
		Private ecommerce_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/E-Commerce.xaml"

		Private Flags_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Flags.xaml"
		Private Food_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Food.xaml"
		Private Multimedia_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Multimedia.xaml"
		Private Weather_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Weather.xaml"
		Private Construction_Key As String = "/Syncfusion.VectorImages.WPF;component/Icons/Construction.xaml"





		Private financedictionary As New ResourceDictionary()
		Private bankingdictionary As New ResourceDictionary()
		Private medicaldictionary As New ResourceDictionary()
		Private outlookdictionary As New ResourceDictionary()
		Private computerdictionary As New ResourceDictionary()
		Private educationdictionary As New ResourceDictionary()
		Private ecommercedictionary As New ResourceDictionary()


		Private flagsdictionary As New ResourceDictionary()
		Private fooddictionary As New ResourceDictionary()
		Private multimediadictionary As New ResourceDictionary()
		Private weatherdictionary As New ResourceDictionary()
		Private constructiondictionary As New ResourceDictionary()

		Private gallerytype As String

		#End Region

		#Region "Constructors"

		''' <summary>
		''' Constructor for window1.
		''' </summary>
		Public Sub New()
			InitializeComponent()
			InitializeLog()
			EventLog()
		End Sub

		''' <summary>
		''' Initializes the log.
		''' </summary>

		Public Sub InitializeLog()
			index = 0
			nextindex = index
			previndex = nextindex
			financedictionary.Source = New Uri(finance_Key, UriKind.RelativeOrAbsolute)
			bankingdictionary.Source = New Uri(banking_Key, UriKind.RelativeOrAbsolute)
			medicaldictionary.Source = New Uri(medical_Key, UriKind.RelativeOrAbsolute)
			outlookdictionary.Source = New Uri(outlook_Key, UriKind.RelativeOrAbsolute)
			computerdictionary.Source = New Uri(computer_Key, UriKind.RelativeOrAbsolute)
			educationdictionary.Source = New Uri(education_Key, UriKind.RelativeOrAbsolute)
			ecommercedictionary.Source = New Uri(ecommerce_Key, UriKind.RelativeOrAbsolute)

			flagsdictionary.Source = New Uri(Flags_Key, UriKind.RelativeOrAbsolute)
			fooddictionary.Source = New Uri(Food_Key, UriKind.RelativeOrAbsolute)
			multimediadictionary.Source = New Uri(Multimedia_Key, UriKind.RelativeOrAbsolute)
			weatherdictionary.Source = New Uri(Weather_Key, UriKind.RelativeOrAbsolute)
			constructiondictionary.Source = New Uri(Construction_Key, UriKind.RelativeOrAbsolute)

		End Sub

		''' <summary>
		''' Events the log.
		''' </summary>

		Public Sub EventLog()
			' Subscribe the Loaded event raised
			AddHandler Loaded, AddressOf Window1_Loaded
		End Sub

		#End Region

		#Region "Events"

		''' <summary>
		''' Handles the Loaded event of the Window1 control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub Window1_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
			LoadImages(financedictionary, Finance)
		End Sub
		#End Region

		#Region "Helper Methods"

		''' <summary>
		''' Loads the images.
		''' </summary>
		''' <param name="resource">The resource.</param>
		''' <param name="ggroup">The ggroup.</param>
		Private Sub LoadImages(ByVal resource As ResourceDictionary, ByVal ggroup As GalleryGroup)
			ggroup.Items.Clear()

			For Each key As String In resource.Keys

				If key.ToString() <> "DeliveryReceipt/ReadReceipt" Then
					Dim galleryitem As New GalleryItem()
					galleryitem.Caption = key
					galleryitem.Description = ""
					Dim img As New Image()
					img.Margin = New Thickness(5)
					img.Source = CType(resource(key), DrawingImage)
					galleryitem.Content = img
					galleryitem.Name = key
					galleryitem.ToolTip = key
					ggroup.Items.Add(galleryitem)
				End If
			Next key
		End Sub


		''' <summary>
		''' Handles the MouseDoubleClick event of the galgrpPhotos control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseButtonEventArgs"/> instance containing the event data.</param>
		Private Sub galgrpPhotos_MouseDoubleClick(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
			NavigationLeft.IsEnabled = True
			NavigationRight.IsEnabled = True
			mycanvas.Visibility = Visibility.Visible
			checkEnableMagnifier.IsChecked = False
			Dim ga As GalleryGroup = TryCast(sender, GalleryGroup)
			Dim gi As GalleryItem = CType(ga.SelectionStartItem, GalleryItem)
			gallerygroup = ga
			index = ga.SelectionStartIndex
			mycanvas.Width = window1.ActualWidth - 170
			mycanvas.Height = window1.ActualHeight - 200
			canvas_border.Width = mycanvas.Width + 10
			canvas_border.Height = mycanvas.Height + 10

			RectangleImage.Width = mycanvas.Width - 330
			RectangleImage.Height = mycanvas.Height - 120

			RectangleImage.Source = TryCast(Me.Resources(gi.Name.ToString()), ImageSource)
			If gi.Name.ToString() = "TranscationFee" Then
				canvastxt.Text = "TransactionFee"
			Else
				canvastxt.Text = gi.Name.ToString()
			End If
			canvasclose.Visibility = Visibility.Visible
			rectheight = RectangleImage.Height
			rectwidth = RectangleImage.Width

			sliderimageSize.Maximum = rectheight

			sliderimageSize.Value = 185
			RectangleImage.Height = sliderimageSize.Value
			RectangleImage.Width = sliderimageSize.Value
		End Sub

		''' <summary>
		''' Handles the Click event of the Button control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub Button_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			mycanvas.Visibility = Visibility.Collapsed
			canvasclose.Visibility = Visibility.Collapsed
		End Sub


		''' <summary>
		''' Handles the SelectionChanged event of the cmb_GalleryType control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Controls.SelectionChangedEventArgs"/> instance containing the event data.</param>
		Private Sub cmb_GalleryType_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)

			If cmb_GalleryType.SelectedItem IsNot Nothing Then
				gallerytype = cmb_GalleryType.SelectedItem.ToString()
				gallerytype = gallerytype.Substring(gallerytype.IndexOf(": ") + 2)
				' Load Finance Icons 
				If gallerytype.ToString().Equals("Finance") Then
					Finance.Visibility = Visibility.Visible
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed

					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed



					If description IsNot Nothing Then
						description.Text = "Displays Finance-based images. Double-click the icons to view the larger image."
					End If
					LoadImages(financedictionary, Finance)
				' Load Banking Icons 
				ElseIf gallerytype.ToString().Equals("Banking") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Visible
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Banking-based images. Double-click the icons to view the larger image."
					End If
					LoadImages(bankingdictionary, Banking)
				' Load Medical Icons 
				ElseIf gallerytype.Equals("Medical") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Visible
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed


					If description IsNot Nothing Then
						description.Text = "Displays Medical-based images.Double-click the icons to view the larger image."
					End If
					LoadImages(medicaldictionary, Medical)

				' Load Outlook2007 Icons 

				ElseIf gallerytype.Equals("Outlook2007") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Visible
					Medical.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed


					If description IsNot Nothing Then
						description.Text = "Displays Outlook2007-based images. Double-click the icons to view the image in larger size."
					End If
					LoadImages(outlookdictionary, Outlook)
				' Load Computer Icons 
				ElseIf gallerytype.Equals("Computer") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Visible
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Computer-based images. Double-click the icons to view the image in larger size."
					End If
					LoadImages(computerdictionary, Computer)
				' Load Education Icons 
				ElseIf gallerytype.Equals("Education") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Visible
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Education-based images. DoubleClick to view the image in larger size."
					End If
					LoadImages(educationdictionary, Education)
				' Load E-commerce Icons 
				ElseIf gallerytype.Equals("ECommerce") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Visible
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed
					If description IsNot Nothing Then
						description.Text = "Displays ECommerce-based images. DoubleClick to view the image in larger size."
					End If
					LoadImages(ecommercedictionary, ECommerce)

				ElseIf gallerytype.Equals("Food") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Visible
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Food-based images. DoubleClick to view the image in larger size."
					End If
					LoadImages(fooddictionary, Food)

				ElseIf gallerytype.Equals("Flag") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Visible
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Flag-based images. DoubleClick to view the image in larger size."
					End If
					LoadImages(flagsdictionary, Flag)

				ElseIf gallerytype.Equals("MultiMedia") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Visible
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays MultiMedia images. DoubleClick to view the image in larger size."
					End If
					LoadImages(multimediadictionary, MultiMedia)

				ElseIf gallerytype.Equals("Construction") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Visible
					Weather.Visibility = Visibility.Collapsed

					If description IsNot Nothing Then
						description.Text = "Displays Construction images. DoubleClick to view the image in larger size."
					End If
					LoadImages(constructiondictionary, Construction)

				ElseIf gallerytype.Equals("Weather") Then
					Finance.Visibility = Visibility.Collapsed
					Banking.Visibility = Visibility.Collapsed
					Medical.Visibility = Visibility.Collapsed
					Outlook.Visibility = Visibility.Collapsed
					Computer.Visibility = Visibility.Collapsed
					ECommerce.Visibility = Visibility.Collapsed
					Education.Visibility = Visibility.Collapsed
					Food.Visibility = Visibility.Collapsed
					Flag.Visibility = Visibility.Collapsed
					MultiMedia.Visibility = Visibility.Collapsed
					Construction.Visibility = Visibility.Collapsed
					Weather.Visibility = Visibility.Visible

					If description IsNot Nothing Then
						description.Text = "Displays Weather-based images. DoubleClick to view the image in larger size."
					End If
					LoadImages(weatherdictionary, Weather)

				' Load All Icons 
				Else
					Finance.Visibility = Visibility.Visible
					Banking.Visibility = Visibility.Visible
					Medical.Visibility = Visibility.Visible
					Outlook.Visibility = Visibility.Visible
					Computer.Visibility = Visibility.Visible
					ECommerce.Visibility = Visibility.Visible
					Education.Visibility = Visibility.Visible

					LoadImages(medicaldictionary, Medical)
					LoadImages(outlookdictionary, Outlook)
					LoadImages(computerdictionary, Computer)
					LoadImages(bankingdictionary, Banking)
					LoadImages(financedictionary, Finance)
					LoadImages(educationdictionary, Education)
					LoadImages(ecommercedictionary, ECommerce)
					LoadImages(weatherdictionary, Weather)
					LoadImages(constructiondictionary, Construction)
					LoadImages(multimediadictionary, MultiMedia)
					LoadImages(fooddictionary, Food)
					LoadImages(flagsdictionary, Flag)



					If description IsNot Nothing Then
						description.Text = "Displays the All images. Double-click the icons to view the image in larger size."
					End If

				End If
			End If
		End Sub

		''' <summary>
		''' Handles the SizeChanged event of the window1 control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.SizeChangedEventArgs"/> instance containing the event data.</param>
		Private Sub window1_SizeChanged(ByVal sender As Object, ByVal e As SizeChangedEventArgs)
			mycanvas.Width = window1.ActualWidth - 170
			mycanvas.Height = window1.ActualHeight - 200
			canvas_border.Width = mycanvas.Width + 10
			canvas_border.Height = mycanvas.Height + 10
			RectangleImage.Width = mycanvas.Width - 330
			RectangleImage.Height = mycanvas.Height - 120
			sliderimageSize.ToolTip = sliderimageSize.Value.ToString()
			RectangleImage.Width = rectwidth
			RectangleImage.Height = rectheight
			sliderimageSize.Maximum = rectheight
			RectangleImage.Height = sliderimageSize.Value
			RectangleImage.Width = sliderimageSize.Value
		End Sub

		''' <summary>
		''' Handles the MouseLeave event of the imageborder control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseEventArgs"/> instance containing the event data.</param>
		Private Sub imageborder_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
			magnifier1.Visibility = Visibility.Collapsed
		End Sub

		''' <summary>
		''' Handles the MouseMove event of the Finance control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseEventArgs"/> instance containing the event data.</param>
		Private Sub Finance_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			Dim ga As GalleryGroup = TryCast(sender, GalleryGroup)
			Dim gi As GalleryItem = CType(ga.SelectionStartItem, GalleryItem)
			gi.ToolTip = gi.Name.ToString()
		End Sub


		''' <summary>
		''' Handles the Click event of the Previous control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub Previous_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			NavigationRight.IsEnabled = True
			index = index - 1
			If index >= 0 Then
				galleryitemdisplay(index)
			Else
				index = 0
				NavigationLeft.IsEnabled = False
			End If
		End Sub

		''' <summary>
		''' Handles the Click event of the Next control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub Next_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			NavigationLeft.IsEnabled = True
			index = index + 1
			If index <= gallerygroup.Items.Count - 1 Then
				galleryitemdisplay(index)
			Else
				index = gallerygroup.Items.Count - 1
				NavigationRight.IsEnabled = False
			End If
		End Sub
		''' <summary>
		''' Galleryitemdisplays the specified index.
		''' </summary>
		''' <param name="index">The index.</param>
		Public Sub galleryitemdisplay(ByVal index As Integer)
			mycanvas.Visibility = Visibility.Visible

			If gallerygroup IsNot Nothing Then
				Dim gi As GalleryItem = CType(gallerygroup.Items(index), GalleryItem)
				mycanvas.Width = window1.ActualWidth - 170
				mycanvas.Height = window1.ActualHeight - 200
				canvas_border.Width = mycanvas.Width + 10
				canvas_border.Height = mycanvas.Height + 10

				RectangleImage.Width = mycanvas.Width - 330
				RectangleImage.Height = mycanvas.Height - 120

				RectangleImage.Source = TryCast(Me.Resources(gi.Name.ToString()), ImageSource)
				canvastxt.Text = gi.Name.ToString()
				canvasclose.Visibility = Visibility.Visible

				RectangleImage.Height = sliderimageSize.Value
				RectangleImage.Width = sliderimageSize.Value

			Else
				mycanvas.Visibility = Visibility.Collapsed
			End If
		End Sub

		''' <summary>
		''' Handles the MouseMove event of the sliderTargetSize control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseEventArgs"/> instance containing the event data.</param>
		Private Sub sliderTargetSize_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			sliderTargetSize.ToolTip = sliderTargetSize.Value.ToString()
		End Sub

		''' <summary>
		''' Handles the ValueChanged event of the sliderimageSize control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedPropertyChangedEventArgs&lt;System.Double&gt;"/> instance containing the event data.</param>
		Private Sub sliderimageSize_ValueChanged(ByVal sender As Object, ByVal e As RoutedPropertyChangedEventArgs(Of Double))
			Try
				RectangleImage.Height = sliderimageSize.Value
				RectangleImage.Width = sliderimageSize.Value
				sliderimageSize.ToolTip = sliderimageSize.Value.ToString()

			Catch
			End Try
		End Sub

		''' <summary>
		''' Handles the MouseMove event of the sliderimageSize control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseEventArgs"/> instance containing the event data.</param>
		Private Sub sliderimageSize_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			sliderimageSize.ToolTip = sliderimageSize.Value.ToString()
		End Sub

		''' <summary>
		''' Handles the 1 event of the sliderTargetSize_ValueChanged control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedPropertyChangedEventArgs&lt;System.Double&gt;"/> instance containing the event data.</param>
		Private Sub sliderTargetSize_ValueChanged_1(ByVal sender As Object, ByVal e As RoutedPropertyChangedEventArgs(Of Double))
			If magnifier1 IsNot Nothing Then
				magnifier1.ZoomFactor = sliderTargetSize.Value
			End If
		End Sub

		''' <summary>
		''' Handles the MouseMove event of the RectangleImage control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseEventArgs"/> instance containing the event data.</param>
		Private Sub RectangleImage_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			If checkEnableMagnifier.IsChecked = True Then
				magnifier1.Visibility = Visibility.Visible
			Else
				magnifier1.Visibility = Visibility.Collapsed
			End If
		End Sub
		#End Region
	End Class
End Namespace
