﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;

namespace VectorImageUtility
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            Syncfusion.Licensing.SyncfusionLicenseProvider.RegisterLicense(DemoCommon.FindLicenseKey());
        }

        public static class DemoCommon
        {
            /// <summary>
            /// Helper method to find a syncfusion license key from the Common folder
            /// </summary>
            /// <param name="fileName">File name of the syncfusion license key</param>
            /// <returns></returns>
            public static string FindLicenseKey()
            {
                int levelsToCheck = 12;
                string filePath = @"Common\SyncfusionLicense.txt";

                string rootPath = System.IO.Path.GetDirectoryName(Assembly.GetEntryAssembly().CodeBase.Replace(@"file:///", ""));

                for (int n = 0; n < levelsToCheck; n++)
                {
                    string fileDataPath = System.IO.Path.Combine(rootPath, filePath);
                    if (System.IO.File.Exists(fileDataPath))
                        return File.ReadAllText(fileDataPath, Encoding.UTF8);
                    DirectoryInfo rootDirectory = Directory.GetParent(rootPath);
                    if (rootDirectory == null)
                        break;
                    rootPath = rootDirectory.FullName;
                }
                return string.Empty;
            }
        }
    }
}
