﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows.Data
Imports System.Globalization
Imports System.ComponentModel

Namespace VectorImageUtility
	Public Class FormatConverter
		Implements IValueConverter
		''' <summary>
		''' Converts a value.
		''' </summary>
		''' <param name="value">The value produced by the binding source.</param>
		''' <param name="targetType">The type of the binding target property.</param>
		''' <param name="parameter">The converter parameter to use.</param>
		''' <param name="culture">The culture to use in the converter.</param>
		''' <returns>
		''' A converted value. If the method returns null, the valid null value is used.
		''' </returns>
		Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
			' This is possible durign designer load
			If value Is Nothing Then
				Return String.Empty
			End If

			If parameter IsNot Nothing Then
				Dim strFormatString As String = parameter.ToString()
				If Not String.IsNullOrEmpty(strFormatString) Then
					Return String.Format(culture, strFormatString, value)
				End If
			End If
			Return value
		End Function

		''' <summary>
		''' Converts a value.
		''' </summary>
		''' <param name="value">The value that is produced by the binding target.</param>
		''' <param name="targetType">The type to convert to.</param>
		''' <param name="parameter">The converter parameter to use.</param>
		''' <param name="culture">The culture to use in the converter.</param>
		''' <returns>
		''' A converted value. If the method returns null, the valid null value is used.
		''' </returns>
		Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack

			Dim objTypeConverter As TypeConverter = TypeDescriptor.GetConverter(targetType)
			Dim objReturnValue As Object = Nothing

			If objTypeConverter.CanConvertFrom(value.GetType()) Then
				objReturnValue = objTypeConverter.ConvertFrom(value)
			End If

			Return objReturnValue

		End Function
	End Class
End Namespace
