﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports Syncfusion.Windows.Shared
Imports Syncfusion.Windows.Tools.Controls
Imports Microsoft.Win32
Imports System.IO
Imports System.Windows.Markup
Imports System.Xml
Imports System.Collections.ObjectModel
Imports System.Reflection
Imports System.Resources
Imports System.Collections
Imports Syncfusion.VectorImages.WPF

Namespace VectorImageUtility
	''' <summary>
	''' Interaction logic for Window1.xaml
	''' </summary>
	Partial Public Class Window1
		Inherits ChromelessWindow
		Private imgBrush As New VisualBrush()

		''' <summary>
		''' Initializes a new instance of the <see cref="Window1"/> class.
		''' </summary>
		Public Sub New()
			InitializeComponent()
			AddHandler Loaded, AddressOf Window1_Loaded
			'SkinStorage.SetVisualStyle(this, "Office2010Blue");

		End Sub

		''' <summary>
		''' Handles the Loaded event of the Window1 control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub Window1_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim asm As System.Reflection.Assembly = System.Reflection.Assembly.GetAssembly(GetType(VectorImages))
			Dim stream As Stream = asm.GetManifestResourceStream(asm.GetName().Name & ".g.resources")
			Using reader As New ResourceReader(stream)
				For Each entry As DictionaryEntry In reader

					Dim resourceDic As New ResourceDictionary()
					resourceDic.Source = New Uri(String.Format("/Syncfusion.VectorImages.WPF;component/{0}", (CStr(entry.Key)).Replace(".baml", ".xaml")), UriKind.RelativeOrAbsolute)
					Me.Resources.MergedDictionaries.Add(resourceDic)

					Dim category As String = (CStr(entry.Key)).Split(New Char() { "/"c })(1)
					category = category.Remove(category.IndexOf("."))

					Dim item As New ComboBoxItem()
					item.Content = category.Chars(0).ToString().ToUpper() & category.Substring(1)
					Me.comboSkinCategory.Items.Add(item)

				Next entry
			End Using

			Me.cboStretch.SelectedItem = Me.cboStretch.Items(0)
			Me.comboSkinCategory.SelectedItem = Me.comboSkinCategory.Items(0)
		End Sub

		''' <summary>
		''' Handles the Click event of the mnuSkins control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>


		''' <summary>
		''' Handles the SelectionChanged event of the comboSkinCategory control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Controls.SelectionChangedEventArgs"/> instance containing the event data.</param>
		Private Sub comboSkinCategory_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
			Dim selectedItem As ComboBoxItem = TryCast(Me.comboSkinCategory.SelectedItem, ComboBoxItem)

			galleryGroup.Header = selectedItem.Content.ToString()

			Dim dictionary As New ResourceDictionary()
			dictionary.Source = New Uri(String.Format("/Syncfusion.VectorImages.WPF;component/Icons/{0}.xaml", selectedItem.Content.ToString()), UriKind.RelativeOrAbsolute)

			galleryGroup.Items.Clear()
			Dim firstItem As GalleryItem = Nothing
			For Each key As String In dictionary.Keys

				If key.ToString() <> "DeliveryReceipt/ReadReceipt" Then
					Dim galleryitem As New GalleryItem()
					If firstItem Is Nothing Then
						firstItem = galleryitem
					End If
					galleryitem.Caption = key
					galleryitem.Description = ""
					Dim img As New Image()
					img.Margin = New Thickness(2)
					img.Source = CType(dictionary(key), DrawingImage)
					galleryitem.Content = img
					galleryitem.Name = key
					galleryitem.ToolTip = key
					galleryGroup.Items.Add(galleryitem)
				End If
			Next key
			If firstItem IsNot Nothing Then
				firstItem.IsSelected = True
				Me.ImageSourceContent = TryCast(Me.Resources(firstItem.Name.ToString()), ImageSource)
				Dim img As New Image()
				img.Source = Me.ImageSourceContent

				imgCanvas.Height = 100
				imgCanvas.Width = 100

				stOuter.Height = 100
				stOuter.Width = 100

				imgBorder.Height = 100
				imgBorder.Width = 100

				imgBrush.Visual = img
				imgBorder.Fill = imgBrush

				sliderHeight.Value = 100
				sliderWidth.Value = 100
				LoadXAML()
			End If
			Me.myGallery.UpdateLayout()
		End Sub

		''' <summary>
		''' Handles the MouseClick event of the galleryGroup control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Input.MouseButtonEventArgs"/> instance containing the event data.</param>
		Private Sub galleryGroup_MouseClick(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
			Dim item As GalleryItem = TryCast(Me.galleryGroup.SelectionStartItem, GalleryItem)

			If item IsNot Nothing Then
				Me.ImageSourceContent = TryCast(Me.Resources(item.Name.ToString()), ImageSource)
				Dim img As New Image()
				img.Source = Me.ImageSourceContent

				imgCanvas.Height = 100
				imgCanvas.Width = 100

				stOuter.Height = 100
				stOuter.Width = 100

				imgBorder.Height = 100
				imgBorder.Width = 100

				imgBrush.Visual = img
				imgBorder.Fill = imgBrush

				sliderHeight.Value = 100
				sliderWidth.Value = 100
				LoadXAML()
			End If
		End Sub

		''' <summary>
		''' Handles the Click event of the menuItemSave control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub menuItemSave_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim saveFileDialog As New SaveFileDialog()
			saveFileDialog.Title = "Save Image"
			saveFileDialog.Filter = "Bitmap(*.bmp)|*.bmp|JPEG(*.jpg,*.jpeg)|*.jpg;*.jpeg|Gif (*.gif)|*.gif|TIFF(*.tiff)|*.tiff|PNG(*.png)|*.png|WDP(*.wdp)|*.wdp|All files (*.*)|*.*"
			If saveFileDialog.ShowDialog() = True Then
				VectorImageUtil.SaveImage(saveFileDialog.FileName, imgCanvas)
			End If
		End Sub

		''' <summary>
		''' Handles the TextChanged event of the txt control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.Controls.TextChangedEventArgs"/> instance containing the event data.</param>
		Private Sub txt_TextChanged(ByVal sender As Object, ByVal e As TextChangedEventArgs)
			Dim txtBox As TextBox = TryCast(sender, TextBox)
			If IsDouble(txtBox.Text) Then
				If Double.Parse(txtBox.Text) > 1000 Then
					MessageBox.Show("Value should not exceed 1000.", "VectorImage Utility", MessageBoxButton.OK, MessageBoxImage.Exclamation)
					Return
				End If
				If txtBox.Name.Equals("txtImageHeight") Then
					stOuter.Height = Double.Parse(txtBox.Text)
					imgCanvas.Height = Double.Parse(txtBox.Text)
					imgBorder.Height = Double.Parse(txtBox.Text)
				ElseIf txtBox.Name.Equals("txtImageWidth") Then
					stOuter.Width = Double.Parse(txtBox.Text)
					imgCanvas.Width = Double.Parse(txtBox.Text)
					imgBorder.Width = Double.Parse(txtBox.Text)
				End If
				e.Handled = True
			Else
				MessageBox.Show("Invalid Input. Please enter valid double value.", "VectorImage Utility", MessageBoxButton.OK, MessageBoxImage.Error)
				e.Handled = False
			End If

		End Sub

		''' <summary>
		''' Handles KeyDown event of richTextBoxXaml control.
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="e"></param>
		Private Sub richTextBoxXaml_PreviewKeyDown(ByVal sender As Object, ByVal e As KeyEventArgs)
			If e.Key = Key.F5 Then
				ImportXaml()
			End If
		End Sub

		''' <summary>
		''' Handles the Click event of the buttonExport control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedEventArgs"/> instance containing the event data.</param>
		Private Sub buttonExport_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim saveFileDialog As New SaveFileDialog()
			saveFileDialog.Title = "Export to XAML Format"
			saveFileDialog.Filter = "XAML(*.xaml)|*.xaml|All files (*.*)|*.*"
			If saveFileDialog.ShowDialog() = True Then
				VectorImageUtil.SaveXAML(saveFileDialog.FileName, Me.ImageSourceContent)
			End If
		End Sub

		''' <summary>
		''' Handles SelectionChanged event of the cboStretch control.
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="e"></param>
		Private Sub cboStretch_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
			Select Case (TryCast(cboStretch.SelectedItem, ComboBoxItem)).Content.ToString()
				Case "Fill"
					imgBrush.Stretch = Stretch.Fill
				Case "None"
					imgBrush.Stretch = Stretch.None
				Case "Uniform"
					imgBrush.Stretch = Stretch.Uniform
				Case "UniformToFill"
					imgBrush.Stretch = Stretch.UniformToFill
			End Select
		End Sub

		''' <summary>
		''' Handles the ValueChanged event of the sliderBoth control.
		''' </summary>
		''' <param name="sender">The source of the event.</param>
		''' <param name="e">The <see cref="System.Windows.RoutedPropertyChangedEventArgs&lt;System.Double&gt;"/> instance containing the event data.</param>
		Private Sub sliderBoth_ValueChanged(ByVal sender As Object, ByVal e As RoutedPropertyChangedEventArgs(Of Double))
			Me.imgBorder.Height += e.NewValue
			Me.imgBorder.Width += e.NewValue

			Me.stOuter.Height += e.NewValue
			Me.stOuter.Width += e.NewValue

			Me.imgCanvas.Height += e.NewValue
			Me.imgCanvas.Width += e.NewValue
		End Sub

		''' <summary>
		''' Determines whether the specified TXT is double.
		''' </summary>
		''' <param name="txt">The TXT.</param>
		''' <returns>
		''' 	<c>true</c> if the specified TXT is double; otherwise, <c>false</c>.
		''' </returns>
		Private Function IsDouble(ByVal txt As String) As Boolean
			Try
				Double.Parse(txt)
				Return True
			Catch e1 As Exception
				Return False
			End Try
		End Function

		''' <summary>
		''' Loads the XAML.
		''' </summary>
		Private Sub LoadXAML()
			Dim outputString As New StringBuilder()
			richTextBoxXaml.Document.Blocks.Clear()
			Dim settings As New XmlWriterSettings()
			settings.Indent = True
			settings.OmitXmlDeclaration = True
			Dim designSerialization As New XamlDesignerSerializationManager(XmlWriter.Create(outputString, settings))
			designSerialization.XamlWriterMode = XamlWriterMode.Expression
			XamlWriter.Save(Me.ImageSourceContent, designSerialization)
			richTextBoxXaml.Document.Blocks.Add(XAMLParser.GetFomattedXAML(outputString.ToString()))
			richTextBoxXaml.ScrollToHome()

		End Sub

		''' <summary>
		''' Gets or sets the content of the image source.
		''' </summary>
		''' <value>The content of the image source.</value>
		Private privateImageSourceContent As ImageSource
		Public Property ImageSourceContent() As ImageSource
			Get
				Return privateImageSourceContent
			End Get
			Set(ByVal value As ImageSource)
				privateImageSourceContent = value
			End Set
		End Property

		''' <summary>
		''' Imports the Xaml contents.
		''' </summary>
		Private Sub ImportXaml()
			Try
				Dim visualElement As Visual = VectorImageUtil.ImportXaml(Me.ImageSourceContent, richTextBoxXaml.Document)

				If visualElement IsNot Nothing Then
					If TypeOf visualElement Is Image Then
							ImageSourceContent = (TryCast(visualElement, Image)).Source
					End If
					imgBrush.Visual = visualElement
					imgBorder.Fill = imgBrush
				End If

			Catch ex As Exception

			End Try
		End Sub

		Private Sub menuItemImport_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim openfiledlg As New OpenFileDialog()
			openfiledlg.InitialDirectory = "c:\"
			openfiledlg.Filter = "XAML(*.xaml)|*.xaml"
			openfiledlg.RestoreDirectory = True
			If openfiledlg.ShowDialog() = True Then

				Dim fStream As System.IO.FileStream

				If System.IO.File.Exists(openfiledlg.FileName) Then
					fStream = New System.IO.FileStream(openfiledlg.FileName, System.IO.FileMode.OpenOrCreate)
					richTextBoxXaml.Document.Blocks.Clear()
					Dim settings As New XmlWriterSettings()
					settings.Indent = True
					settings.OmitXmlDeclaration = True
					Dim designSerialization As New XamlDesignerSerializationManager(XmlWriter.Create(fStream, settings))
					designSerialization.XamlWriterMode = XamlWriterMode.Expression
					Dim sr As New StreamReader(fStream)
					Dim str As String = sr.ReadToEnd()
					richTextBoxXaml.Document.Blocks.Add(XAMLParser.GetFomattedXAML(str))
					richTextBoxXaml.ScrollToHome()
					fStream.Close()
					ImportXaml()
				End If

			End If
		End Sub

		Private Sub importbutton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			ImportXaml()
		End Sub

		Private Sub importbutton_KeyDown(ByVal sender As Object, ByVal e As KeyEventArgs)
			If e.Key = Key.F5 Then
				ImportXaml()
			End If
		End Sub

		Private Sub MenuItem_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Me.Close()
		End Sub
	End Class
End Namespace
